package com.sooka.system.mapper;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.enums.DataSourceType;
import com.sooka.system.domain.TgjjGrxx;

/**
 * 个人信息Mapper接口
 *
 * @author lei
 * @date 2021-11-16
 */
@DataSource(value = DataSourceType.SLAVE)
public interface TgjjGrxxMapper
{
    /**
     * 查询个人信息
     *
     * @param ID 个人信息ID
     * @return 个人信息
     */
    public TgjjGrxx selectTgjjGrxxById(Long ID);

    /**
     * 查询个人信息列表
     *
     * @param tgjjGrxx 个人信息
     * @return 个人信息集合
     */
    public List<TgjjGrxx> selectTgjjGrxxList(TgjjGrxx tgjjGrxx);

    /**
     * 新增个人信息
     *
     * @param tgjjGrxx 个人信息
     * @return 结果
     */
    public int insertTgjjGrxx(TgjjGrxx tgjjGrxx);

    /**
     * 修改个人信息
     *
     * @param tgjjGrxx 个人信息
     * @return 结果
     */
    public int updateTgjjGrxx(TgjjGrxx tgjjGrxx);

    /**
     * 删除个人信息
     *
     * @param ID 个人信息ID
     * @return 结果
     */
    public int deleteTgjjGrxxById(Long ID);

    /**
     * 批量删除个人信息
     *
     * @param IDs 需要删除的数据ID
     * @return 结果
     */
    public int deleteTgjjGrxxByIds(String[] IDs);
}
